Subject: draft-nadeau-mpls-packet-classifier-mib-01

From: Adrian Farrel <[email-masked]>
Date: Sat, 29 Jul 2000 03:19:01 +0100

Hi Tom,

I like this MIB.  Nice and simple!

Questions
=========

mplsPacketClassifierApplied
  I'd be happier if this was a count.  Easier to work out when to
  it False.  Probably more useful too.

Do people do classification based on prefixes, or is max and min
IP range good enough for this?

Editorial
=========

4. Motivation
  I think it would be helpful to exapnd upon "redirect packets 
  into LSPs or TE tunnels" in view of the considerable discussion
  on the list about when you are allowed to inject packets onto 
  an LSP and when not.
  What you are doing here is defining precisely the answer to
  that question.

mplsPacketClassifierProtocol  Description
  I think this is a little terse.
  
RowPointer
  Do we need a definition of this textual convention, or can it
  be imported from somewhere?

mplsPacketClassifierMapEntry and mplsPacketClassifierMapIfIndex
  Picky perhaps, but could you insert clarification that the
  interfaces to which you refer are ingress interfaces.

mplsPacketClassifierMapTable
  I think the indexing may need some more thought.  A linked list 
  is certainly useful, but what does it do to the sequence of 
  rows when you walk the MIB?

Typos
=====

1. para 1 line 4
  superfluous "s"

5. last line 
  insert "classifier" at the start of the line

MplsPacketClassifierEntry
  formatting

mplsPacketClassifierMask  Description.  4th line
  missing "classifier"

Regards,
Adrian
--
Adrian Farrel  mailto:[email-masked]
Network Convergence Group
Data Connection Ltd., Chester, UK
http://www.datcon.co.uk/
Tel: +44 (0) 1244 313440  Fax: +44 (0) 1244 312422